#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		ant_home	%{_datadir}/%{name}
#-----------------------------------------------------------------------------
Name		:	ant
Version		:	1.10.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Ant build tool for java
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	TCL
URL		:	https://archive.apache.org/dist/ant

Source0		:	apache-%{name}-%{version}-src.tar.xz
Source1		:	%{name}-ok_addon.tar.gz
#addon needed by application (far too much)
Source10	:	apache-%{name}-optional-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	setup
BuildRequires	:	jdk

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}/CONTRIBUTORS
%{_datadir}/%{name}/INSTALL
%{_datadir}/%{name}/KEYS
%{_datadir}/%{name}/LICENSE
%{_datadir}/%{name}/NOTICE
%{_datadir}/%{name}/README
%{_datadir}/%{name}/WHATSNEW
%{_datadir}/%{name}/contributors.xml
%{_datadir}/%{name}/fetch.xml
%{_datadir}/%{name}/get-m2.xml
%{_datadir}/%{name}/bin/%{name}*
%{_datadir}/%{name}/bin/complete-ant-cmd.pl
%{_datadir}/%{name}/bin/envset.cmd
%{_datadir}/%{name}/bin/lcp.bat
%{_datadir}/%{name}/bin/run%{name}.pl
%{_datadir}/%{name}/bin/run%{name}.py
%{_datadir}/%{name}/bin/runrc.cmd
%{_datadir}/%{name}/etc/%{name}-bootstrap.jar
%{_datadir}/%{name}/etc/*.xsl
%{_datadir}/%{name}/etc/checkstyle/checkstyle-*xsl
%{_datadir}/%{name}/lib/README
%{_datadir}/%{name}/lib/%{name}-*.{jar,pom}
%{_datadir}/%{name}/lib/%{name}.{jar,pom}
%{_datadir}/%{name}/lib/libraries.properties
%{_datadir}/%{name}/manual/LICENSE
%{_datadir}/%{name}/manual/favicon.ico
%{_datadir}/%{name}/manual/*.html
%{_datadir}/%{name}/manual/Integration/*.{gif,html}
%{_datadir}/%{name}/manual/Types/*.html
%{_datadir}/%{name}/manual/Tasks/*.html
%{_datadir}/%{name}/manual/Tasks/image-classdiagram.gif
%{_datadir}/%{name}/manual/Tasks/image*.graphml
%{_datadir}/%{name}/manual/api/*
%{_datadir}/%{name}/manual/images/*.gif
%{_datadir}/%{name}/manual/stylesheets/style.css
%{_datadir}/%{name}/manual/tutorial-*.zip
%{_datadir}/%{name}/patch.xml

#=============================================================================
%prep
%setup -q -n apache-%{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

#extracting package_addon
tar xf %{SOURCE1}

#must be set ENV variable
. /etc/profile
. /etc/profile.d/openjdk.sh

#First fix an incompatibility issue between the documentation
#standard used in the build tree
sed -i 								\
  -e 's/--add-modules java.activation/-html4/'			\
  build.xml

#Build a limited bootstrap version of Apache
./bootstrap.sh

TARBALLS=ok
if [ "${TARBALLS}" = "ok" ] ; then
  tar xf %{SOURCE10}
  else
#Download the runtime dependencies using the fetch.xml ant build script
  bootstrap/bin/%{name} -f fetch.xml -Ddest=optional
  fi

#Build Apache Ant
./build.sh -Ddist.dir=$PWD/%{name}-%{version} dist

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_datadir}

%{__cp} -a						\
	%{name}-%{version}				\
	%{buildroot}%{_datadir}/%{name}

#installing binary
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mv}							\
	%{buildroot}%{_datadir}/%{name}/bin/%{name}	\
	%{buildroot}%{_bindir}
%{__ln_s}						\
	../../../../%{_bindir}/%{name}			\
	%{buildroot}%{_datadir}/%{name}/bin/%{name}
	

#installing profile component
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} -a						\
	%{name}-ok_addon/%{name}.conf			\
	%{buildroot}%{_sysconfdir}/

#-----------------------------------------------------------------------------
%changelog
